#!/bin/sh
#
# Wenn der Arbeitsspeicher knapp ist, kann das helfen:
# java -Xms128M -Xmx1G -jar ./MTViewer.jar "$@"


dir=$(dirname "$(readlink -f "$0")")
cd "$dir"

einstellungen="Einstellungen"

if [ -f ../../MTViewer.jar ]; then
	cd ..
	cd ..
fi


if [ -d "Java" ]; then
  echo "dann Java aus dem Progverzeichis: Java"
  ./Java/bin/java -jar ./MTViewer.jar $einstellungen "$@"

elif [ -d "java" ]; then
  echo "dann Java aus dem Progverzeichis: java"
  ./java/bin/java -jar ./MTViewer.jar $einstellungen "$@"

else
  echo "dann Java vom System"
  
  if [ -n "$JAVA_HOME" ]; then
    $JAVA_HOME/bin/java -jar ./MTViewer.jar $einstellungen "$@"
  else
    java -jar ./MTViewer.jar $einstellungen "$@"
  fi
fi
